@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.footer-section {
  & {
    background-color: @bg_second;
  }

  a:hover {
    color: @second_color;

    @media (max-width: @screen_tablet) {
      color: @primary_color;
    }
  }

  .container {
    & {
      max-width: @container_width;
      display: grid;
      grid-template-columns: 1fr 5fr;
      grid-template-rows: 2fr;
      grid-gap: 1.5em;
      padding: 15px;
      font-family: @font_primary;
      margin: 0 auto;

      @media (max-width: @screen_tablet) {
        display: flex;
        flex-direction: column;
      }
    }

    .footer-block {
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 10px 0;

      &.item-1 {
        & {
          align-items: flex-start;

          @media (max-width: @screen_tablet) {
            order: 2;
          }
        }

        .contact-block {
          & {
            display: flex;
            flex-direction: column;
            flex-wrap: wrap;
            font-size: 16px;

            @media (max-width: @screen_tablet) {
              font-size: 14px;
            }
          }

          & a:not(:last-child) {
            margin-bottom: 15px;
          }
        }
      }

      &.item-2 {
        & {
          justify-content: center;
          align-items: flex-start;
          flex-wrap: wrap;
          overflow: hidden;

          @media (max-width: @screen_tablet) {
            flex-direction: column;
          }
        }

        .menu-name {
          display: none;
          font-size: 18px;
          margin-bottom: 20px;

          @media (max-width: @screen_tablet) {
            display: flex;
          }
        }

        .menu-list {
          & {
            display: flex;
            flex-direction: column;
            flex-wrap: wrap;
            margin: 0 0 15px;
            align-items: flex-start;

            @media (max-width: @screen_desktop) {
              & {
                max-height: none;
              }

              @media (max-width: @screen_tablet) {
                & {
                  flex-wrap: wrap;
                  font-size: 16px;
                }

                &:not(.-active) {
                  display: none;
                }
              }
            }

            .item {
              margin: 0 40px 10px 0;
            }
          }
        }
      }

      &.item-3 {
        & {
          grid-column-start: span 2;
          justify-content: space-between;
          align-items: center;
          border-top: 1px solid black;

          @media (max-width: @screen_tablet) {
            order: 3;
          }
        }

        .line {
          margin-right: 10px;

          @media (max-width: @screen_tablet) {
            font-size: 14px;
          }
        }
      }
    }
  }
}
